> For the complete documentation index, see [llms.txt](https://docs.os.uk/os-downloads/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.os.uk/os-downloads/products/land-and-terrain-portfolio/os-terrain-50/os-terrain-50-technical-specification/geopackage.md).

# GeoPackage

OS Terrain 50 contours are supplied as a national GeoPackage file.

GeoPackage offers users the following benefits:

* The single file is easy to transfer and offers the end-user a rich experience.
* Attribute names are not limited in length, making the format user-friendly.
* The file size limit is very large at 140 TB (a file size limit might be imposed by the file system to which the file is written).
* It supports raster, vector and database formats, making it a highly versatile solution.

For general guidance on using the product in GeoPackage format, please see the [Getting started with GeoPackage guide](/os-downloads/resources/product-resources/getting-started-with-geopackage-and-vector-tiles-guides/getting-started-with-geopackage.md).

### Data structure <a href="#bookmark24" id="bookmark24"></a>

The names of the GeoPackage layers in the OS Terrain 50 contour supply are outlined in the following table.

| Layer name            |
| --------------------- |
| spot\_height          |
| land\_water\_boundary |
| contour\_line         |

### Attribute naming format comparison <a href="#bookmark25" id="bookmark25"></a>

The naming of attributes has been updated in accordance with guidelines to make them more user friendly.

| 2022 GPK Attribute name | 2023 GPK Attribute name |
| ----------------------- | ----------------------- |
| Fid                     | fid                     |
| Id                      | id                      |
| propertyValue           | property\_value         |
| propertyValue\_uom      | N/A                     |
| spotHeightType          | spot\_height\_type      |
| waterLevelCategory      | water\_level\_category  |
| contourLineType         | contour\_line\_type     |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.os.uk/os-downloads/products/land-and-terrain-portfolio/os-terrain-50/os-terrain-50-technical-specification/geopackage.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
